org.apache.lucene.queries.function.valuesource

## Class FieldCacheSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource

- Direct Known Subclasses:
    ByteFieldSource, BytesRefFieldSource, DoubleFieldSource, FloatFieldSource, IntFieldSource, JoinDocFreqValueSource, LongFieldSource, ShortFieldSource

      public abstract class FieldCacheSource
      extends ValueSource

  A base class for ValueSource implementations that retrieve values for a single field from the `FieldCache`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FieldCache` | `cache`
    `protected String` | `field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldCacheSource(String field)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` description of field, used in explain()
    `boolean` | `equals(Object o)`
    `String` | `getField()`
    `FieldCache` | `getFieldCache()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, getValues, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field

          protected final String field

    - #### cache

          protected final FieldCache cache

  - ### Constructor Detail

    - #### FieldCacheSource

          public FieldCacheSource(String field)

  - ### Method Detail

    - #### getFieldCache

          public FieldCache getFieldCache()

    - #### getField

          public String getField()

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Specified by:
        `description` in class `ValueSource`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ValueSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.